<?php
/*
Plugin Name: Testimonials by ModernThemes
Plugin URI: http://modernthemes.net/plugins/testimonials
Description: This is a plugin by ModernThemes that adds Testimonials post types and widgets.
Version: 1.1.4
Author: ModernThemes
Author URI: http://modernthemes.net
License: GPL2
Text Domain: mttestimonials 
Domain Path: /languages/
*/


require 'plugin-updates/plugin-update-checker.php';  
$MyUpdateChecker = PucFactory::buildUpdateChecker(
'http://modernthemes.net/updates/?action=get_metadata&slug=mt_testimonials', //Metadata URL.
__FILE__, //Full path to the main plugin file. 
'mt_testimonials' //Plugin slug 
);


add_action('admin_init', 'mt_testimonialssettings_flush' );

function mt_testimonialssettings_flush(){ 

		if ( isset( $_POST['mt_testimonialssettings_options'] ) ) {


			flush_rewrite_rules();
		
		}

}

/* Paths for Files */
$mt_testimonials_main_file = dirname(__FILE__).'/testimonials-by-mt.php';
$mt_testimonials_directory = plugin_dir_url($mt_testimonials_main_file);
$mt_testimonials_path = dirname(__FILE__);

/* Add css and scripts file */ 
function mt_testimonials_add_scripts() {
	global $mt_testimonials_directory, $mt_testimonials_path; 
		wp_enqueue_style('mt-testimonials-style', $mt_testimonials_directory.'css/grid.css');
}
		
add_action('wp_enqueue_scripts', 'mt_testimonials_add_scripts');

class MT_Testimonials_Widgets {
	public function __construct() {
		add_action( 'widgets_init', array( $this, 'load' ), 9 );
		add_action( 'widgets_init', array( $this, 'init' ), 10 );
		register_uninstall_hook( __FILE__, array( __CLASS__, 'uninstall' ) ); 
	}

	public function load() {
		$dir = plugin_dir_path( __FILE__ );

		include_once( $dir . 'inc/widget-mt-testimonials.php' ); 
		include_once( $dir . 'inc/mt-testimonials.php' );
		include_once( $dir . 'inc/shortcodes-mt-testimonials.php' ); 
		
	}

	public function init() {
		if ( ! is_blog_installed() ) {
			return;
		}

		load_plugin_textdomain( 'mttestimonials', false, 'mt_testimonials/languages' );
		
		register_widget( 'mt_testimonials' ); 
	
	}

	public function uninstall() {}
}

$mt_testimonials_widgets = new MT_Testimonials_Widgets(); 